
CoCoALib - Bug #1656

SEGV in resultant

29 Jan 2022 15:22 - John Abbott

Status: Closed Start date: 29 Jan 2022

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Maths Bugs Estimated time: 0.66 hour

Target version: CoCoALib-0.99800 Spent time: 0.65 hour

Description

A quick way to SEGV:

resultant(x^2+1, x/x, x);

 

Sigh!

Anyone know what the resultant is when either or both polys is zero?

[probably should give error]

Related issues:

Related to CoCoALib - Design #1653: Discriminant: return value Closed 27 Jan 2022

History

#1 - 29 Jan 2022 15:22 - John Abbott

- Related to Design #1653: Discriminant: return value added

#2 - 29 Jan 2022 17:03 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

The problem was in some unrefined code for computing subresultant sequences.

Now it is more robust.

#3 - 04 Feb 2022 21:33 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.66 h

I have added a test to exbugs.cocoa5  -- the one given in the description.

Closing.
